LibreOffice LibreOffice 6.0 SDK API Reference

Variables
com::sun::star::xml::crypto::CipherID Constant Group Reference

The constant set contains identifiers of supported cipher-creation algorithms. More...

## Variables
const long | AES_CBC_W3C_PADDING = 1
| identifier of AES algorithm in CBC mode with W3C padding More...
const long | BLOWFISH_CFB_8 = 2
| identifier of the Blowfish algorithm in 8-bit CFB mode More...

## Detailed Description

The constant set contains identifiers of supported cipher-creation algorithms.

See also
  XCipherContextSupplier

Since
  OOo 3.4

## Variable Documentation

## ◆ AES_CBC_W3C_PADDING

const long AES_CBC_W3C_PADDING = 1

identifier of AES algorithm in CBC mode with W3C padding

## ◆ BLOWFISH_CFB_8

const long BLOWFISH_CFB_8 = 2

identifier of the Blowfish algorithm in 8-bit CFB mode